﻿/* Container */


/* Header */
.header {
    display: flex;
    align-items: center;
    gap: 15px;
    margin-bottom: 20px;
}


.review-top h4 {
    font-size: 16px;
}

.stars {
    color: #f4b400;
    line-height: 20px;
}

/* Slider */
.slider-wrapper {
    display: flex;
    align-items: center;
}

.slider2 {
    display: flex;
    gap: 20px;
    overflow-x: auto;
    scroll-behavior: smooth;
}

    .slider2::-webkit-scrollbar {
        display: none;
    }

/* Cards */
.card {
    min-width: 320px;
    background: white;
    padding: 15px;
    border-radius: 14px;
    cursor: pointer;
    box-shadow: 0 4px 12px rgba(0,0,0,0.1);
}
    .card p,
    .modal-content p {
        white-space: pre-line;
    }
    .card:hover {
        transform: translateY(-5px);
    }

    .card h4 {
        margin: 0 0 0px !important;
        font-size: 16px;
    }

.review-top {
    display: flex;
    gap: 12px;
    align-items: center;
    margin-bottom: 10px;
}

.avatar {
    width: 50px !important;
    height: 50px !important;
    border-radius: 50%;
    object-fit: cover;
}

.date {
    color: red;
    font-size: 12px;
    line-height:20px;
}

.nav {
    font-size: 22px;
    border: none;
    background: white;
    cursor: pointer;
    padding: 10px;
    border-radius: 50%;
    margin: 0 10px;
}

/* Modal */
.modal {
    display: none;
    position: fixed;
    z-index: 999;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.5);
    top: 0;
    left: 0;
}

.modal-content {
    background: white;
    margin: 6% auto;
    padding: 25px;
    width: 60% !important;
    border-radius: 18px;
    position: relative;
    animation: popup 0.3s ease;
}
/* Mobile Responsive Modal */
@media (max-width: 768px) {
    .modal-content {
        width: 95% !important;
        margin: 20px auto;
        padding: 20px;
        border-radius: 12px;
    }
}
@keyframes popup {
    from {
        transform: scale(0.8);
        opacity: 0;
    }

    to {
        transform: scale(1);
        opacity: 1;
    }
}

.close {
    position: absolute;
    right: 20px;
    top: 15px;
    font-size: 24px;
    cursor: pointer;
}

.modal-content p {
    line-height: 1.6;
}
